diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/outdoor-random-walk-test.cc ns-3.43/src/buildings/test/outdoor-random-walk-test.cc
--- ns-3.42/src/buildings/test/outdoor-random-walk-test.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/outdoor-random-walk-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2019 SIGNET Lab, Department of Information Engineering,
  * University of Padova
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/test/three-gpp-v2v-channel-condition-model-test.cc ns-3.43/src/buildings/test/three-gpp-v2v-channel-condition-model-test.cc
--- ns-3.42/src/buildings/test/three-gpp-v2v-channel-condition-model-test.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/test/three-gpp-v2v-channel-condition-model-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2020 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  * Copyright (c) 2020 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/abort.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-defines.cc ns-3.43/src/click/examples/nsclick-defines.cc
--- ns-3.42/src/click/examples/nsclick-defines.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-defines.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sascha Jopen <jopen@cs.uni-bonn.de>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-lan-single-interface.click ns-3.43/src/click/examples/nsclick-lan-single-interface.click
--- ns-3.42/src/click/examples/nsclick-lan-single-interface.click	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-lan-single-interface.click	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
 //
 // Copyright (c) 2011, Deutsche Telekom Laboratories
 //
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License version
-// 2 as published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Ruben Merz <ruben@net.t-labs.tu-berlin.de>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-raw-wlan.cc ns-3.43/src/click/examples/nsclick-raw-wlan.cc
--- ns-3.42/src/click/examples/nsclick-raw-wlan.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-raw-wlan.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Lalith Suresh <suresh.lalith@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-routing.cc ns-3.43/src/click/examples/nsclick-routing.cc
--- ns-3.42/src/click/examples/nsclick-routing.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-routing.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Lalith Suresh <suresh.lalith@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-routing-node0.click ns-3.43/src/click/examples/nsclick-routing-node0.click
--- ns-3.42/src/click/examples/nsclick-routing-node0.click	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-routing-node0.click	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
 //
 // Copyright (c) 2011, Deutsche Telekom Laboratories
 //
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License version
-// 2 as published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Ruben Merz <ruben@net.t-labs.tu-berlin.de>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-routing-node2.click ns-3.43/src/click/examples/nsclick-routing-node2.click
--- ns-3.42/src/click/examples/nsclick-routing-node2.click	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-routing-node2.click	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
 //
 // Copyright (c) 2011, Deutsche Telekom Laboratories
 //
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License version
-// 2 as published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Ruben Merz <ruben@net.t-labs.tu-berlin.de>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-simple-lan.cc ns-3.43/src/click/examples/nsclick-simple-lan.cc
--- ns-3.42/src/click/examples/nsclick-simple-lan.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-simple-lan.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Lalith Suresh <suresh.lalith@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-simple-lan.py ns-3.43/src/click/examples/nsclick-simple-lan.py
--- ns-3.42/src/click/examples/nsclick-simple-lan.py	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-simple-lan.py	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Authors: Lalith Suresh <suresh.lalith@gmail.com>
 # Modified by: Gabriel Ferreira <gabrielcarvfer@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-udp-client-server-csma.cc ns-3.43/src/click/examples/nsclick-udp-client-server-csma.cc
--- ns-3.42/src/click/examples/nsclick-udp-client-server-csma.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-udp-client-server-csma.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Adaptation of examples/udp/udp-client-server.cc for
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-udp-client-server-wifi.cc ns-3.43/src/click/examples/nsclick-udp-client-server-wifi.cc
--- ns-3.42/src/click/examples/nsclick-udp-client-server-wifi.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-udp-client-server-wifi.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Adaptation of examples/udp/udp-client-server.cc for
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-wifi-single-interface.click ns-3.43/src/click/examples/nsclick-wifi-single-interface.click
--- ns-3.42/src/click/examples/nsclick-wifi-single-interface.click	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-wifi-single-interface.click	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
 //
 // Copyright (c) 2011, Deutsche Telekom Laboratories
 //
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License version
-// 2 as published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Ruben Merz <ruben@net.t-labs.tu-berlin.de>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/examples/nsclick-wifi-single-interface-promisc.click ns-3.43/src/click/examples/nsclick-wifi-single-interface-promisc.click
--- ns-3.42/src/click/examples/nsclick-wifi-single-interface-promisc.click	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/examples/nsclick-wifi-single-interface-promisc.click	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
 //
 // Copyright (c) 2011, Deutsche Telekom Laboratories
 //
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License version
-// 2 as published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Ruben Merz <ruben@net.t-labs.tu-berlin.de>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/helper/click-internet-stack-helper.cc ns-3.43/src/click/helper/click-internet-stack-helper.cc
--- ns-3.42/src/click/helper/click-internet-stack-helper.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/helper/click-internet-stack-helper.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Author: Faker Moatamri <faker.moatamri@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/helper/click-internet-stack-helper.h ns-3.43/src/click/helper/click-internet-stack-helper.h
--- ns-3.42/src/click/helper/click-internet-stack-helper.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/click/helper/click-internet-stack-helper.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Author: Lalith Suresh  <suresh.lalith@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/model/ipv4-click-routing.cc ns-3.43/src/click/model/ipv4-click-routing.cc
--- ns-3.42/src/click/model/ipv4-click-routing.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/click/model/ipv4-click-routing.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Lalith Suresh
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Lalith Suresh <suresh.lalith@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/model/ipv4-click-routing.h ns-3.43/src/click/model/ipv4-click-routing.h
--- ns-3.42/src/click/model/ipv4-click-routing.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/click/model/ipv4-click-routing.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Lalith Suresh
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Lalith Suresh <suresh.lalith@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/model/ipv4-l3-click-protocol.cc ns-3.43/src/click/model/ipv4-l3-click-protocol.cc
--- ns-3.42/src/click/model/ipv4-l3-click-protocol.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/click/model/ipv4-l3-click-protocol.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2006 Georgia Tech Research Corporation
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: George F. Riley <riley@ece.gatech.edu>
 // Author: Lalith Suresh <suresh.lalith@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/model/ipv4-l3-click-protocol.h ns-3.43/src/click/model/ipv4-l3-click-protocol.h
--- ns-3.42/src/click/model/ipv4-l3-click-protocol.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/click/model/ipv4-l3-click-protocol.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2006 Georgia Tech Research Corporation
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: George F. Riley <riley@ece.gatech.edu>
 // Author: Lalith Suresh <suresh.lalith@gmail.com>
@@ -268,8 +257,10 @@
     void SetIpForward(bool forward) override;
     bool GetIpForward() const override;
 
+    /** \copydoc Ipv4::SetWeakEsModel */
     NS_DEPRECATED_3_41("Use SetStrongEndSystemModel instead")
     void SetWeakEsModel(bool model) override;
+    /** \copydoc Ipv4::GetWeakEsModel */
     NS_DEPRECATED_3_41("Use GetStrongEndSystemModel instead")
     bool GetWeakEsModel() const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/test/ipv4-click-routing-test.cc ns-3.43/src/click/test/ipv4-click-routing-test.cc
--- ns-3.42/src/click/test/ipv4-click-routing-test.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/click/test/ipv4-click-routing-test.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Lalith Suresh
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Lalith Suresh <suresh.lalith@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/click/test/nsclick-test-lan-single-interface.click ns-3.43/src/click/test/nsclick-test-lan-single-interface.click
--- ns-3.42/src/click/test/nsclick-test-lan-single-interface.click	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/click/test/nsclick-test-lan-single-interface.click	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
 //
 // Copyright (c) 2011, Deutsche Telekom Laboratories
 //
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License version
-// 2 as published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Ruben Merz <ruben@net.t-labs.tu-berlin.de>
 //
